SeisFlows 
==========

[![PyPI Version](https://img.shields.io/pypi/v/seisflows.svg)](https://pypi.python.org/pypi/seisflows)
[![Documentation Status](https://readthedocs.org/projects/seisflows/badge/?version=devel)](https://seisflows.readthedocs.io/en/devel/?badge=devel)
[![License: GPL v3](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)
[![SCOPED](https://img.shields.io/endpoint?url=https://runkit.io/wangyinz/scoped/branches/master/adjTomo)](https://github.com/SeisSCOPED/container/pkgs/container/adjtomo)

SeisFlows is an open-source, Python-based waveform inversion package that tackles the problems of full waveform inversion, seismic migration, and adjoint tomography. 

With a user base in both academia and industry, this package has been used for production scale inversions, some with over a billion model parameters, for research problems related to oil and gas exploration, earthquake seismology and general nonlinear optimization problems.



---

- SeisFlows is under current active development, and is bundled with other inversion software under the [adjTomo organization](https://github.com/adjtomo).

- Documentation, including install instructions, example problems and API, can be found on [Read the Docs](https://seisflows.readthedocs.io).

- If you find any issues, have questions, or would like to join the community, please feel free to open up a [GitHub Issue](https://github.com/adjtomo/seisflows/issues) or [start a discussion](https://github.com/orgs/adjtomo/discussions). 


References
----------
If you use this package in your own research, please cite the following papers:

- Bryant Chow, Yoshihiro Kaneko, Carl Tape, Ryan Modrak, John Townend, *An automated workflow for adjoint tomography     —waveform misfits and synthetic inversions for the North Island, New Zealand*, Geophysical Journal International, Volume 223, Issue 3, December 2020, Pages 1461–1480, https://doi.org/10.1093/gji/ggaa381

- Ryan Modrak, Dmitry Borisov, Matthieu Lefebvre, Jeroen Tromp; *SeisFlows—Flexible waveform inversion software*, Computers & Geosciences, Volume 115, June 2018, Pages 88-95, https://doi.org/10.1016/j.cageo.2018.02.004

The following paper can also be cited relative to this software:

- Ryan Modrak, Jeroen Tromp; *Seismic waveform inversion best practices: regional, global and exploration test cases*, Geophysical Journal International, Volume 206, Issue 3, 1 September 2016, Pages 1864–1889, https://doi.org/10.1093/gji/ggw202


